API reference
Get public store location
Retrieve a public physical store location by ID
GET
/v1/store-locations/{id}Retrieve a public physical store location by ID
Path Parameters
id*string
Unique identifier of the resource.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/store-locations/string"{ "id": "string", "storeId": "string", "sellerId": null, "name": "string", "code": "string", "type": "warehouse", "address": null, "city": null, "state": null, "country": null, "postalCode": null, "latitude": null, "longitude": null, "phone": null, "email": null, "description": null, "isActive": true, "isDefault": true, "useForFulfillment": true, "supportsShipping": true, "supportsLocalDelivery": true, "supportsPickup": true, "isPhysicalStore": true, "supportsPos": true, "priority": 0, "pickupInstructions": null, "pickupLeadTimeInMinutes": null, "pickupSlotInMinutes": null, "pickupDailyCapacity": null, "localDeliveryInstructions": null, "localDeliveryLeadTimeInMinutes": null, "localDeliverySlotInMinutes": null, "localDeliveryDailyCapacity": null, "localDeliveryFee": null, "localDeliveryFreeFromAmount": null, "localDeliveryMinHours": null, "localDeliveryMaxHours": null, "localDeliveryPostalCodes": [ "string" ], "localDeliveryZones": [ { "name": "string", "postalCodes": [ "string" ], "radiusKm": null, "fee": null, "freeFromAmount": null, "minHours": null, "maxHours": null } ], "schedules": [ { "id": "string", "openTime": "14:15:22Z", "closeTime": "14:15:22Z", "name": "string", "dayOfWeek": "monday", "enabled": true, "isOpen": true, "type": "delivery" } ], "status": "active", "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null}